Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516896 - [RFE] Service UI does not filter Operations per resource type and show generically all operations even if not supported
Summary: [RFE] Service UI does not filter Operations per resource type and show generi...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.11.0
Assignee: Harpreet Kataria
QA Contact: Dave Johnson
URL:
Whiteboard: testathon
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-23 14:08 UTC by Loic Avenel
Modified: 2019-02-17 14:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-17 14:17:04 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)

Description Loic Avenel 2017-11-23 14:08:37 UTC
Description of problem: Service UI does not filter Operations per resource type. For example Snapshot is enable for Amazon but CF back-end does not support it


Version-Release number of selected component (if applicable): 5.9.0.10


How reproducible: alaways


Steps to Reproduce:
1. Provision via Service an instance on Amazon or Azure
2. Go to SUI> My Service> resource details for this service
3. 

Actual results: Snapshot is visible.


Expected results: Snapshot should not be visible.


Additional info:

Comment 2 Dave Johnson 2017-11-23 14:43:51 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 3 Chris Kacerguis 2017-11-24 14:07:13 UTC
I believe we need an API for this, I created a GH issue for this:

https://github.com/ManageIQ/manageiq-api/issues/226

Comment 4 Chris Kacerguis 2017-11-30 15:07:56 UTC
Loic - Can we move this to an RFE?


Note You need to log in before you can comment on or make changes to this bug.